# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class PagedResponseServiceDefinitionOrgResponseResults(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'name': 'str',
        'display_name': 'str',
        'metadata': 'dict(str, str)',
        'org_id': 'str',
        'parent_org_id': 'str'
    }

    attribute_map = {
        'name': 'name',
        'display_name': 'displayName',
        'metadata': 'metadata',
        'org_id': 'orgId',
        'parent_org_id': 'parentOrgId'
    }

    def __init__(self, name=None, display_name=None, metadata=None, org_id=None, parent_org_id=None):  # noqa: E501
        """PagedResponseServiceDefinitionOrgResponseResults - a model defined in Swagger"""  # noqa: E501
        self._name = None
        self._display_name = None
        self._metadata = None
        self._org_id = None
        self._parent_org_id = None
        self.discriminator = None
        if name is not None:
            self.name = name
        if display_name is not None:
            self.display_name = display_name
        if metadata is not None:
            self.metadata = metadata
        if org_id is not None:
            self.org_id = org_id
        if parent_org_id is not None:
            self.parent_org_id = parent_org_id

    @property
    def name(self):
        """Gets the name of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501


        :return: The name of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this PagedResponseServiceDefinitionOrgResponseResults.


        :param name: The name of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def display_name(self):
        """Gets the display_name of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501


        :return: The display_name of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501
        :rtype: str
        """
        return self._display_name

    @display_name.setter
    def display_name(self, display_name):
        """Sets the display_name of this PagedResponseServiceDefinitionOrgResponseResults.


        :param display_name: The display_name of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501
        :type: str
        """

        self._display_name = display_name

    @property
    def metadata(self):
        """Gets the metadata of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501


        :return: The metadata of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501
        :rtype: dict(str, str)
        """
        return self._metadata

    @metadata.setter
    def metadata(self, metadata):
        """Sets the metadata of this PagedResponseServiceDefinitionOrgResponseResults.


        :param metadata: The metadata of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501
        :type: dict(str, str)
        """

        self._metadata = metadata

    @property
    def org_id(self):
        """Gets the org_id of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501


        :return: The org_id of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501
        :rtype: str
        """
        return self._org_id

    @org_id.setter
    def org_id(self, org_id):
        """Sets the org_id of this PagedResponseServiceDefinitionOrgResponseResults.


        :param org_id: The org_id of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501
        :type: str
        """

        self._org_id = org_id

    @property
    def parent_org_id(self):
        """Gets the parent_org_id of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501


        :return: The parent_org_id of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501
        :rtype: str
        """
        return self._parent_org_id

    @parent_org_id.setter
    def parent_org_id(self, parent_org_id):
        """Sets the parent_org_id of this PagedResponseServiceDefinitionOrgResponseResults.


        :param parent_org_id: The parent_org_id of this PagedResponseServiceDefinitionOrgResponseResults.  # noqa: E501
        :type: str
        """

        self._parent_org_id = parent_org_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PagedResponseServiceDefinitionOrgResponseResults, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PagedResponseServiceDefinitionOrgResponseResults):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
